Description

"SVG fill", "simple fill" and "line pattern fill" symbol layer types have options also create an outline, and have options to control this. 

"Centroid fill" and "marker point fill" do not.  This is inconsistent and therefore confusing.

I think either they should all create an outline, and have the necessary options (in which case the "outline: simple line" layer type could be

removed and its functionality performed by a simple fill with "fill style" = "no brush"), or none of them should create an outline.

Personally I think it would be simpler and better for none of them to create an outline, although I guess that may create difficulties

upgrading old projects and old qml files.

History

#1 - 2011-12-16 02:12 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#2 - 2012-04-15 10:09 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#3 - 2012-10-06 02:24 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#4 - 2017-05-01 12:50 AM - Giovanni Manghi

- Easy fix? set to No
